GET /api/v1/cloud-connected/clusters

Fetches a list of Cloud Connected clusters.

Responses

  • 200 application/json

    The Cloud Connected cluster list

    Hide response attribute Show response attribute object
    • items array[object] Required

      The actual clusters.

      Hide items attributes Show items attributes object

      A Cloud Connected Cluster.

      • id string Required

        ID of the Cloud Connected cluster.

        Format should match the following pattern: ^[a-z0-9]{32}$.

      • name string Required

        Descriptive name for a Cloud Connected cluster.

        Maximum length is 255.

      • metadata object Required

        Additional details about the Cloud Connected cluster.

        Hide metadata attributes Show metadata attributes object
        • created_at string(date-time) Required

          Date and time when the cluster was onboarded.

        • created_by string Required

          ID of the user.

        • organization_id string Required

          The Organization ID which owns the cluster.

      • self_managed_cluster object Required

        A self-managed cluster.

        Hide self_managed_cluster attributes Show self_managed_cluster attributes object
        • id string Required

          ID of the self-managed cluster.

        • name string Required

          Descriptive name for a self managed cluster.

        • version string Required

          The version of the self-managed cluster.

      • license object Required

        The license of the self-managed cluster

        Hide license attributes Show license attributes object
        • type string Required

          The type of the self-managed cluster license.

          Values are trial, basic, standard, dev, silver, gold, platinum, or enterprise.

        • uid string Required

          The unique identifier of the self-managed cluster license.

      • services object Required

        A list of Cloud services that can be enabled for a cluster.

        Hide services attributes Show services attributes object
        • auto_ops object Required

          Information about the state and configuration for the AutoOps service

          Hide auto_ops attributes Show auto_ops attributes object
          • enabled boolean Required

            whether the AutoOps service is enabled for the cluster

          • support object Required

            Information about whether a service is supported for a cluster

            Hide support attributes Show support attributes object
            • supported boolean Required

              whether the service can be enabled for the cluster

            • valid_license_types array[string] Required

              list of license types that support the service.

              Values are trial, basic, standard, dev, silver, gold, platinum, or enterprise.

            • minimum_stack_version string Required

              minimum stack version that supports the service.

          • config object

            Configuration for the AutoOps service

            Hide config attribute Show config attribute object
            • region_id string Required

              Unique human-readable identifier for a region in Elastic Cloud.

          • metadata object

            Metadata information for the AutoOps service, including documentation and service URLs

            Hide metadata attributes Show metadata attributes object
            • documentation_url string(uri) Required

              URL to the service documentation

            • service_url string(uri)

              URL to access the service for this cluster.

            • connect_url string(uri) Required

              URL to connect to the service.

          • subscription object Required

            Subscription requirements for a service.

            Hide subscription attribute Show subscription attribute object
            • required boolean Required

              Whether a subscription is required for this service.

        • eis object Required

          Information about the state and configuration for the EIS service

          Hide eis attributes Show eis attributes object
          • enabled boolean Required

            whether the EIS service is enabled for the cluster

          • support object Required

            Information about whether a service is supported for a cluster

            Hide support attributes Show support attributes object
            • supported boolean Required

              whether the service can be enabled for the cluster

            • valid_license_types array[string] Required

              list of license types that support the service.

              Values are trial, basic, standard, dev, silver, gold, platinum, or enterprise.

            • minimum_stack_version string Required

              minimum stack version that supports the service.

          • metadata object Required

            Base metadata information for a service, including documentation URL

            Hide metadata attribute Show metadata attribute object
            • documentation_url string(uri) Required

              URL to the service documentation

          • subscription object Required

            Subscription requirements for a service.

            Hide subscription attribute Show subscription attribute object
            • required boolean Required

              Whether a subscription is required for this service.

  • 401 application/json

    Unauthorized

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 403 application/json

    Forbidden

    Hide response attribute Show response attribute object
    • errors array[object] Required
      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

GET /api/v1/cloud-connected/clusters
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/cloud-connected/clusters' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "items": [
    {
      "id": "string",
      "name": "my observability cluster",
      "metadata": {
        "created_at": "2026-05-04T09:42:00Z",
        "created_by": "1014289666002276",
        "organization_id": "198583657190"
      },
      "self_managed_cluster": {
        "id": "string",
        "name": "observability-cluster-central-2",
        "version": "8.10.1"
      },
      "license": {
        "type": "trial",
        "uid": "1234567890abcdef1234567890abcdef"
      },
      "services": {
        "auto_ops": {
          "enabled": true,
          "support": {
            "supported": true,
            "valid_license_types": [
              "trial"
            ],
            "minimum_stack_version": "8.5.0"
          },
          "config": {
            "region_id": "aws-us-east-1"
          },
          "metadata": {
            "documentation_url": "https://www.elastic.co/guide/en/cloud/current/eis.html",
            "service_url": "https://app.auto-ops.cloud.elastic.co/regions/aws-us-east-1/organizations/198583657190/clusters/abcdef1234567890abcdef1234567890/cluster",
            "connect_url": "https://application.auto-ops.cloud.elastic.co/organizations/198583657190/connect-autoops"
          },
          "subscription": {
            "required": true
          }
        },
        "eis": {
          "enabled": true,
          "support": {
            "supported": true,
            "valid_license_types": [
              "trial"
            ],
            "minimum_stack_version": "8.5.0"
          },
          "metadata": {
            "documentation_url": "https://www.elastic.co/guide/en/cloud/current/eis.html"
          },
          "subscription": {
            "required": true
          }
        }
      }
    }
  ]
}
Response examples (401)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
Response examples (403)
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}